> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch episode groups

> This endpoint allows you to get the episode groups that have been added to a TV show.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /tv/{{series_id}}/episode_groups
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/episode_groups:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Series
      summary: Fetch episode groups
      description: >-
        This endpoint allows you to get the episode groups that have been added
        to a TV show.
      operationId: fetchEpisodeGroups
      responses:
        '200':
          description: Fetch episode groups
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=12129
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 09:40:49 GMT
            ETag:
              schema:
                type: string
                example: W/"ef29d031be33a9600c17d15e278d58cf"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 64c95802ff188dd41dd32c313bef089c.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: XAI7GBZ52ImCbyyup6D4XaE_jVenSQYC7QVHM8qiy5B8aSa28insjg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P1
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '12429'
            x-memc-expires:
              schema:
                type: string
                example: '12129'
            x-memc-key:
              schema:
                type: string
                example: 5d1d987ee541aee828ec34c86e629438
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 1399
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                          example: ''
                        episode_count:
                          type: number
                          example: 102
                        group_count:
                          type: number
                          example: 9
                        id:
                          type: string
                          example: 5e9077d2e640d600151f32bd
                        name:
                          type: string
                          example: Aired Order
                        network:
                          type: object
                          properties:
                            id:
                              type: number
                              example: 49
                            logo_path:
                              type: string
                              example: /tuomPhY2UtuPTqqFnKMVHvSb724.png
                            name:
                              type: string
                              example: HBO
                            origin_country:
                              type: string
                              example: US
                        type:
                          type: number
                          example: 1
                    example:
                      - description: ''
                        episode_count: 102
                        group_count: 9
                        id: 5e9077d2e640d600151f32bd
                        name: Aired Order
                        network:
                          id: 49
                          logo_path: /tuomPhY2UtuPTqqFnKMVHvSb724.png
                          name: HBO
                          origin_country: US
                        type: 1
              examples:
                Fetch episode groups:
                  value:
                    id: 1399
                    results:
                      - description: ''
                        episode_count: 102
                        group_count: 9
                        id: 5e9077d2e640d600151f32bd
                        name: Aired Order
                        network:
                          id: 49
                          logo_path: /tuomPhY2UtuPTqqFnKMVHvSb724.png
                          name: HBO
                          origin_country: US
                        type: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````